com.informix.jdbc

## Class IfxResultSet

- java.lang.Object
- - com.informix.jdbc.IfxUpdateResultSet
  - - com.informix.jdbc.IfxResultSet

All Implemented Interfaces:
  IfmxResultSet, ResultSet2, java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public class IfxResultSet
    extends IfxUpdateResultSet
    implements IfmxResultSet, ResultSet2

A ResultSet provides access to a table of data generated by executing a Statement. The table rows are retrieved in sequence. Within a row its column values can be accessed in any order.

A ResultSet maintains a cursor pointing to its current row of data. Initially the cursor is positioned before the first row. The 'next' method moves the cursor to the next row.

The getXXX methods retrieve column values for the current row. You can retrieve values either using the index number of the column, or by using the name of the column. In general using the column index will be more efficient. Columns are numbered from 1.

For maximum portability, ResultSet columns within each row should be read in left-to-right order and each column should be read only once.

For the getXXX methods, the JDBC driver attempts to convert the underlying data to the specified Java type and returns a suitable Java value. See the JDBC specification for allowable mappings from SQL types to Java types with the ResultSet.getXXX methods.

Column names used as input to getXXX methods are case insensitive. When performing a getXXX using a column name if several columns have the same name then the value of the first matching column will be returned.

A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results.

The number, types and properties of a ResultSet's columns are provided by the ResulSetMetaData object returned by the getMetaData method.

See Also:
  `Statement.executeQuery(java.lang.String)`, `Statement.getResultSet()`, `ResultSetMetaData`

### Field Summary

Fields
`protected java.util.Vector<IfxObject>` `colVector`
`protected int` `curRowID`
`protected boolean` `isClosed`
`protected java.util.Vector<java.lang.String>` `keyNameVector`
`protected boolean` `lastColWasNull`
`protected int` `lastRowID`
`protected java.util.HashMap<java.lang.String,java.lang.Integer>` `nameToIdxTable`
`protected boolean` `noMoreRows`
`protected IfxProtocol` `prot`
`protected boolean` `scrollableEmptyResultSet`
`protected boolean` `withHold`

### Fields inherited from class com.informix.jdbc.IfxUpdateResultSet

`conn, deleteCmd, insertCmd, isForUpdateClause, MoveToInsert, rsmd, stmt, trace, updatecanceled, updateCmd, UpdateColVector, WhereVal`

### Fields inherited from interface com.informix.jdbc.ResultSet2

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

Methods
`boolean` `absolute(int row)` JDBC 2.0
`void` `afterLast()` JDBC 2.0
`void` `beforeFirst()` JDBC 2.0
`protected void` `blobCheck(IfxObject obj)`
`void` `clearWarnings()`
`void` `close()` In some cases, it is desirable to immediately release a ResultSet's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.
`boolean` `current()` Current is an Informix extention to JDBC.
`void` `deleteRow()` JDBC 2.0 Delete the current row from the result set and the underlying database.
`void` `executeQuery()` Execute a SQL statement that returns 0 or multiple rows.
`int` `findColumn(java.lang.String columnName)` Map a ResultSet column name to a ResultSet column index
`boolean` `first()` JDBC 2.0
`java.sql.Array` `getArray(int colIdx)` JDBC 2.0 Get an array column.
`java.sql.Array` `getArray(java.lang.String colName)`
`java.io.InputStream` `getAsciiStream(int columnIndex)`
`java.io.InputStream` `getAsciiStream(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal(int columnIndex)`
`java.math.BigDecimal` `getBigDecimal(int columnIndex, int scale)` Deprecated.
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName, int scale)` Deprecated.
`java.io.InputStream` `getBinaryStream(int columnIndex)`
`java.io.InputStream` `getBinaryStream(java.lang.String columnName)`
`java.sql.Blob` `getBlob(int columnIndex)`
`java.sql.Blob` `getBlob(java.lang.String colName)` JDBC 2.0 Get a BLOB column.
`boolean` `getBoolean(int columnIndex)`
`boolean` `getBoolean(java.lang.String columnName)`
`byte` `getByte(int columnIndex)`
`byte` `getByte(java.lang.String columnName)`
`byte[]` `getBytes(int columnIndex)`
`byte[]` `getBytes(java.lang.String columnName)`
`java.io.Reader` `getCharacterStream(int columnIndex)`
`java.io.Reader` `getCharacterStream(java.lang.String columnName)`
`java.sql.Clob` `getClob(int columnIndex)` JDBC 2.0 Get a CLOB column.
`java.sql.Clob` `getClob(java.lang.String colName)`
`int` `getConcurrency()` JDBC 2.0 Return the concurrency of this result set.
`java.lang.String` `getCursorName()` Get the name of the SQL cursor used by this ResultSet.
`java.sql.Date` `getDate(int columnIndex)`
`java.sql.Date` `getDate(int columnIndex, java.util.Calendar cal)` JDBC 2.0 Get the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` `getDate(java.lang.String columnName)`
`java.sql.Date` `getDate(java.lang.String columnName, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Date object.
`double` `getDouble(int columnIndex)`
`double` `getDouble(java.lang.String columnName)`
`int` `getFetchDirection()` JDBC 2.0 Return the fetch direction for this result set.
`int` `getFetchSize()` JDBC 2.0 Return the fetch size for this result set.
`float` `getFloat(int columnIndex)`
`float` `getFloat(java.lang.String columnName)`
`int` `getHoldability()`
`IfxBSONObject` `getIfxBSONObject(int columnIndex)` Get the value of a column in the current row as a IfxBSONObject object.
`IfxBSONObject` `getIfxBSONObject(java.lang.String columnName)` Get the value of a column in the current row as a IfxBSONObject object.
`int` `getInt(int columnIndex)`
`int` `getInt(java.lang.String columnName)`
`Interval` `getInterval(int columnIndex)` Get the value of a column in the current row as a Interval object.
`Interval` `getInterval(java.lang.String columnName)` Get the value of a column in the current row as a Interval object.
`IntervalDF` `getIntervalDF(int columnIndex)` Get the value of a column in the current row as a IntervalDF object.
`IntervalDF` `getIntervalDF(java.lang.String columnName)` Get the value of a column in the current row as a IntervalDF object.
`IntervalYM` `getIntervalYM(int columnIndex)` Get the value of a column in the current row as a IntervalYM object.
`IntervalYM` `getIntervalYM(java.lang.String columnName)` Get the value of a column in the current row as a IntervalYM object.
`long` `getLong(int columnIndex)`
`long` `getLong(java.lang.String columnName)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.io.Reader` `getNCharacterStream(int columnIndex)`
`java.io.Reader` `getNCharacterStream(java.lang.String columnLabel)`
`java.sql.NClob` `getNClob(int columnIndex)`
`java.sql.NClob` `getNClob(java.lang.String columnLabel)`
`java.lang.String` `getNString(int columnIndex)`
`java.lang.String` `getNString(java.lang.String columnLabel)`
`int` `getNumberOfFetches()`
`java.lang.Object` `getObject(int columnIndex)`
`<T> T` `getObject(int columnIndex, java.lang.Class<T> type)`
`java.lang.Object` `getObject(int colIdx, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`java.lang.Object` `getObject(java.lang.String columnName)`
`<T> T` `getObject(java.lang.String columnLabel, java.lang.Class<T> type)`
`java.lang.Object` `getObject(java.lang.String columnName, java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`IfxProtocol` `getProtocol()`
`java.sql.Ref` `getRef(int i)` JDBC 2.0 Get a REF(<structured-type>) column.
`java.sql.Ref` `getRef(java.lang.String colName)` JDBC 2.0 Get a REF(<structured-type>) column.
`int` `getRow()` JDBC 2.0
`java.sql.RowId` `getRowId(int columnIndex)`
`java.sql.RowId` `getRowId(java.lang.String columnLabel)`
`short` `getShort(int columnIndex)`
`short` `getShort(java.lang.String columnName)`
`java.sql.SQLXML` `getSQLXML(int columnIndex)`
`java.sql.SQLXML` `getSQLXML(java.lang.String columnLabel)`
`java.sql.Statement` `getStatement()`
`java.lang.String` `getString(int columnIndex)`
`java.lang.String` `getString(java.lang.String columnName)`
`java.sql.Time` `getTime(int columnIndex)`
`java.sql.Time` `getTime(int columnIndex, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` `getTime(java.lang.String columnName)`
`java.sql.Time` `getTime(java.lang.String columnName, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Time object.
`java.sql.Timestamp` `getTimestamp(int columnIndex)`
`java.sql.Timestamp` `getTimestamp(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName, java.util.Calendar cal)` Get the value of a column in the current row as a java.sql.Timestamp object.
`int` `getType()` JDBC 2.0 Return the type of this result set.
`java.io.InputStream` `getUnicodeStream(int columnIndex)` Deprecated.
`java.io.InputStream` `getUnicodeStream(java.lang.String columnName)` Deprecated.
`java.lang.String` `getUnloadString(int columnIndex)` Gets the value of a column in the current row in format compatible with SQL LOAD/UNLOAD format
`java.net.URL` `getURL(int columnIndex)`
`java.net.URL` `getURL(java.lang.String columnName)`
`java.sql.SQLWarning` `getWarnings()`
`void` `insertRow()` JDBC 2.0 Insert the contents of the insert row into the result set and the database.
`boolean` `isAfterLast()` JDBC 2.0
`boolean` `isBeforeFirst()` JDBC 2.0
`boolean` `isClosed()`
`boolean` `isFirst()` JDBC 2.0
`boolean` `isLast()` JDBC 2.0
`boolean` `isWrapperFor(java.lang.Class<?> iface)`
`boolean` `last()` JDBC 2.0
`boolean` `next()` A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.
`boolean` `previous()` JDBC 2.0
`boolean` `relative(int rows)` JDBC 2.0
`void` `releaseBlob()`
`void` `setFetchDirection(int direction)` JDBC 2.0 Give a hint as to the direction in which the rows in this result set will be processed.
`void` `setFetchSize(int rows)` JDBC 2.0 Give the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set.
`protected void` `setTupleSizeReceived(int sizeReceived)`
`<T> T` `unwrap(java.lang.Class<T> iface)`
`void` `updateArray(java.lang.String columnName, java.sql.Array x)` JDBC 3.0 Update a column with an Array.
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x)`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)`
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x)`
`void` `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` `updateAsciiStream(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)`
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x)`
`void` `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` `updateBinaryStream(java.lang.String columnLabel, java.io.InputStream x, long length)`
`void` `updateBlob(int columnIndex, java.io.InputStream inputStream)`
`void` `updateBlob(int columnIndex, java.io.InputStream inputStream, long length)`
`void` `updateBlob(java.lang.String columnName, java.sql.Blob x)` JDBC 3.0 Update a column with a Blob.
`void` `updateBlob(java.lang.String columnLabel, java.io.InputStream inputStream)`
`void` `updateBlob(java.lang.String columnLabel, java.io.InputStream inputStream, long length)`
`void` `updateBoolean(java.lang.String columnName, boolean x)` JDBC 2.0 Update a column with a boolean value.
`void` `updateByte(java.lang.String columnName, byte x)` JDBC 2.0 Update a column with a byte value.
`void` `updateBytes(java.lang.String columnName, byte[] x)`
`void` `updateCharacterStream(int columnIndex, java.io.Reader x)`
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, int length)`
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateCharacterStream(java.lang.String columnName, java.io.Reader reader, int length)`
`void` `updateCharacterStream(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateClob(int columnIndex, java.io.Reader reader)`
`void` `updateClob(int columnIndex, java.io.Reader reader, long length)`
`void` `updateClob(java.lang.String columnName, java.sql.Clob x)` JDBC 3.0 Update a column with a Clob.
`void` `updateClob(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateClob(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateDate(java.lang.String columnName, java.sql.Date x)`
`void` `updateDouble(java.lang.String columnName, double x)` JDBC 2.0 Update a column with a double value.
`void` `updateFloat(java.lang.String columnName, float x)` JDBC 2.0 Update a column with a float value.
`void` `updateInt(java.lang.String columnName, int x)` JDBC 2.0 Update a column with an integer value.
`void` `updateLong(java.lang.String columnName, long x)` JDBC 2.0 Update a column with a long value.
`void` `updateNCharacterStream(int columnIndex, java.io.Reader x)`
`void` `updateNCharacterStream(int columnIndex, java.io.Reader x, long length)`
`void` `updateNCharacterStream(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateNCharacterStream(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateNClob(int columnIndex, java.sql.NClob nClob)`
`void` `updateNClob(int columnIndex, java.io.Reader reader)`
`void` `updateNClob(int columnIndex, java.io.Reader reader, long length)`
`void` `updateNClob(java.lang.String columnLabel, java.sql.NClob nClob)`
`void` `updateNClob(java.lang.String columnLabel, java.io.Reader reader)`
`void` `updateNClob(java.lang.String columnLabel, java.io.Reader reader, long length)`
`void` `updateNString(int columnIndex, java.lang.String nString)`
`void` `updateNString(java.lang.String columnLabel, java.lang.String nString)`
`void` `updateNull(java.lang.String columnName)` JDBC 2.0 Update a column with a null value.
`void` `updateObject(java.lang.String columnName, java.lang.Object x)`
`void` `updateObject(java.lang.String columnName, java.lang.Object x, int scale)`
`void` `updateRef(int columnIndex, java.sql.Ref x)`
`void` `updateRef(java.lang.String columnName, java.sql.Ref x)` JDBC 3.0 Update a column with a reference.
`void` `updateRow()` JDBC 2.0 Update the underlying database with the new contents of the current row.
`void` `updateRowId(int columnIndex, java.sql.RowId x)`
`void` `updateRowId(java.lang.String columnLabel, java.sql.RowId x)`
`void` `updateShort(java.lang.String columnName, short x)` JDBC 2.0 Update a column with a short value.
`void` `updateSQLXML(int columnIndex, java.sql.SQLXML xmlObject)`
`void` `updateSQLXML(java.lang.String columnLabel, java.sql.SQLXML xmlObject)`
`void` `updateString(java.lang.String columnName, java.lang.String x)`
`void` `updateTime(java.lang.String columnName, java.sql.Time x)`
`void` `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)`
`boolean` `wasNull()`

### Methods inherited from class com.informix.jdbc.IfxUpdateResultSet

`cancelRowUpdates, clearUpdateColVector, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateObject, updateObject, updateShort, updateString, updateTime, updateTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`cancelRowUpdates, moveToCurrentRow, moveToInsertRow, refreshRow, rowDeleted, rowInserted, rowUpdated, updateArray, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNull, updateObject, updateObject, updateShort, updateString, updateTime, updateTimestamp`

### Field Detail

#### prot

    protected IfxProtocol prot

#### nameToIdxTable

    protected java.util.HashMap<java.lang.String,java.lang.Integer> nameToIdxTable

#### curRowID

    protected int curRowID

#### lastRowID

    protected int lastRowID

#### scrollableEmptyResultSet

    protected boolean scrollableEmptyResultSet

#### lastColWasNull

    protected boolean lastColWasNull

#### colVector

    protected java.util.Vector<IfxObject> colVector

#### keyNameVector

    protected java.util.Vector<java.lang.String> keyNameVector

#### noMoreRows

    protected boolean noMoreRows

#### isClosed

    protected boolean isClosed

#### withHold

    protected boolean withHold

### Method Detail

#### executeQuery

    public void executeQuery()
                      throws java.sql.SQLException

Execute a SQL statement that returns 0 or multiple rows. Called from executeQuery() of the Statement and PreparedStatement class

Throws:
  `java.sql.SQLException` - If protocol error is encounterd

#### next

    public boolean next()
                 throws java.sql.SQLException

A ResultSet is initially positioned before its first row; the first call to next makes the first row the current row; the second call makes the second row the current row, etc.

If an input stream from the previous row is open it is implicitly closed. The ResultSet's warning chain is cleared when a new row is read.

Specified by:
  `next` in interface `java.sql.ResultSet`
Returns:
  true if the new current row is valid; false if there are no more rows
Throws:
  `java.sql.SQLException` - When any protocol error or object error is encountered

#### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

Map a ResultSet column name to a ResultSet column index

Specified by:
  `findColumn` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - Name of the column
Returns:
  The column index
Throws:
  `java.sql.SQLException` - if database access error occurs

#### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                     int scale)
                                       throws java.sql.SQLException

Deprecated.
Get the value of a column in the current row as a BigDecimal object

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - The column index
  `scale` - The number of digits to the right of the decimal
Returns:
  A Java BigDecimal object
Throws:
  `java.sql.SQLException` - If columnIndex is out of range or conversion cannot be done

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                     int scale)
                                       throws java.sql.SQLException

Deprecated.
Get the value of a column in the current row as a BigDecimal object

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - Name of the column
  `scale` - The number of digits to the right of the decimal
Returns:
  A Java BigDecimal object
Throws:
  `java.sql.SQLException` - If columnName does not exist conversion cannot be done

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                  java.util.Calendar cal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws java.sql.SQLException

Deprecated.
A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. . Also, a stream may return 0 for available() whether there is data available or not.

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  a Java input stream that delivers the database column value as a stream of two byte Unicode characters. If the value is SQL NULL then the result is null.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

Deprecated.
A column value can be retrieved as a stream of Unicode characters and then read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream.

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  a Java input stream that delivers the database column value as a stream of two byte Unicode characters. If the value is SQL NULL then the result is null.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

Get the name of the SQL cursor used by this ResultSet.

In SQL, a result table is retrieved through a cursor that is named. The current row of a result can be updated or deleted using a positioned update/delete statement that references the cursor name.

JDBC supports this SQL feature by providing the name of the SQL cursor used by a ResultSet. The current row of a ResultSet is also the current row of this SQL cursor.

Note: If positioned update is not supported a SQLException is thrown

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Returns:
  the ResultSet's SQL cursor name
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int colIdx,
                             java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String columnName,
                             java.util.Map<java.lang.String,java.lang.Class<?>> map)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

In some cases, it is desirable to immediately release a ResultSet's database and JDBC resources instead of waiting for this to happen when it is automatically closed; the close method provides this immediate release.

Note: A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results. A ResultSet is also automatically closed when it is garbage collected.

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### blobCheck

    protected void blobCheck(IfxObject obj)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getInterval

    public Interval getInterval(int columnIndex)
                         throws java.sql.SQLException

Get the value of a column in the current row as a Interval object.

Specified by:
  `getInterval` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getInterval

    public Interval getInterval(java.lang.String columnName)
                         throws java.sql.SQLException

Get the value of a column in the current row as a Interval object.

Specified by:
  `getInterval` in interface `IfmxResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  the column value, if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalYM

    public IntervalYM getIntervalYM(int columnIndex)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalYM object.

Specified by:
  `getIntervalYM` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalYM

    public IntervalYM getIntervalYM(java.lang.String columnName)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalYM object.

Specified by:
  `getIntervalYM` in interface `IfmxResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalDF

    public IntervalDF getIntervalDF(int columnIndex)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalDF object.

Specified by:
  `getIntervalDF` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIntervalDF

    public IntervalDF getIntervalDF(java.lang.String columnName)
                             throws java.sql.SQLException

Get the value of a column in the current row as a IntervalDF object.

Specified by:
  `getIntervalDF` in interface `IfmxResultSet`
Parameters:
  `columnName` - is the SQL name of the column
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `java.sql.ResultSet`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is before the first row in the result set.

Specified by:
  `isBeforeFirst` in interface `java.sql.ResultSet`
Returns:
  true if before the first row, false otherwise. Returns false when the result set contains no rows.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is after the last row in the result set.

Specified by:
  `isAfterLast` in interface `java.sql.ResultSet`
Returns:
  true if after the last row, false otherwise. Returns false when the result set contains no rows.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is on the first row of the result set.

Specified by:
  `isFirst` in interface `java.sql.ResultSet`
Returns:
  true if on the first row, false otherwise.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

JDBC 2.0

Determine if the cursor is on the last row of the result set. Note: Calling isLast() may be expensive since the JDBC driver might need to fetch ahead one row in order to determine whether the current row is the last row in the result set.

Specified by:
  `isLast` in interface `java.sql.ResultSet`
Returns:
  true if on the last row, false otherwise.
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

JDBC 2.0

Moves to the front of the result set, just before the first row. Has no effect if the result set contains no rows.

Specified by:
  `beforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

JDBC 2.0

Moves to the end of the result set, just after the last row. Has no effect if the result set contains no rows.

Specified by:
  `afterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### first

    public boolean first()
                  throws java.sql.SQLException

JDBC 2.0

Moves to the first row in the result set.

Specified by:
  `first` in interface `java.sql.ResultSet`
Returns:
  true if on a valid row, false if no rows in the result set.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### last

    public boolean last()
                 throws java.sql.SQLException

JDBC 2.0

Moves to the last row in the result set.

Specified by:
  `last` in interface `java.sql.ResultSet`
Returns:
  true if on a valid row, false if no rows in the result set.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### getRow

    public int getRow()
               throws java.sql.SQLException

JDBC 2.0

Determine the current row number. The first row is number 1, the second number 2, etc.

Specified by:
  `getRow` in interface `java.sql.ResultSet`
Returns:
  the current row number, else return 0 if there is no current row
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

JDBC 2.0

Move to an absolute row number in the result set.

If row is positive, moves to an absolute row with respect to the beginning of the result set. The first row is row 1, the second is row 2, etc.

If row is negative, moves to an absolute row position with respect to the end of result set. For example, calling absolute(-1) positions the cursor on the last row, absolute(-2) indicates the next-to-last row, etc.

An attempt to position the cursor beyond the first/last row in the result set, leaves the cursor before/after the first/last row, respectively.

Note: Calling absolute(1) is the same as calling first(). Calling absolute(-1) is the same as calling last().

Specified by:
  `absolute` in interface `java.sql.ResultSet`
Returns:
  true if on the result set, false if off.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or row is 0, or result set type is TYPE_FORWARD_ONLY.

#### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

JDBC 2.0

Moves a relative number of rows, either positive or negative. Attempting to move beyond the first/last row in the result set positions the cursor before/after the the first/last row. Calling relative(0) is valid, but does not change the cursor position.

Note: Calling relative(1) is different than calling next() since is makes sense to call next() when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

Specified by:
  `relative` in interface `java.sql.ResultSet`
Returns:
  true if on a row, false otherwise.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or there is no current row, or result set type is TYPE_FORWARD_ONLY.

#### current

    public boolean current()
                    throws java.sql.SQLException

Current is an Informix extention to JDBC. It returns the current row again.

Returns:
  true if on a valid row, false if off the result set.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWAR_DONLY.

#### previous

    public boolean previous()
                     throws java.sql.SQLException

JDBC 2.0

Moves to the previous row in the result set.

Note: previous() is not the same as relative(-1) since it makes sense to call previous() when there is no current row.

Specified by:
  `previous` in interface `java.sql.ResultSet`
Returns:
  true if on a valid row, false if off the result set.
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

JDBC 2.0 Give a hint as to the direction in which the rows in this result set will be processed. The initial value is determined by the statement that produced the result set. The fetch direction may be changed at any time.

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or the result set type is TYPE_FORWARD_ONLY and direction is not FETCH_FORWARD.

#### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

JDBC 2.0 Return the fetch direction for this result set.

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

JDBC 2.0 Give the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set. If the fetch size specified is zero, then the JDBC driver ignores the value, and is free to make its own best guess as to what the fetch size should be. The default value is set by the statement that creates the result set. The fetch size may be changed at any time.

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Parameters:
  `rows` - the number of rows to fetch
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or the condition 0 <= rows <= this.getMaxRows() is not satisfied.

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

JDBC 2.0 Return the fetch size for this result set.

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### getType

    public int getType()
                throws java.sql.SQLException

JDBC 2.0 Return the type of this result set. The type is determined based on the statement that created the result set.

Specified by:
  `getType` in interface `java.sql.ResultSet`
Returns:
  TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, or TYPE_SCROLL_SENSITIVE
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

JDBC 2.0 Return the concurrency of this result set. The concurrency used is determined by the statement that created the result set.

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`
Returns:
  the concurrency type, CONCUR_READ_ONLY, etc.
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

JDBC 2.0 Update a column with a null value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                     boolean x)
                       throws java.sql.SQLException

JDBC 2.0 Update a column with a boolean value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateByte

    public void updateByte(java.lang.String columnName,
                  byte x)
                    throws java.sql.SQLException

JDBC 2.0 Update a column with a byte value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateShort

    public void updateShort(java.lang.String columnName,
                   short x)
                     throws java.sql.SQLException

JDBC 2.0 Update a column with a short value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateInt

    public void updateInt(java.lang.String columnName,
                 int x)
                   throws java.sql.SQLException

JDBC 2.0 Update a column with an integer value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateLong

    public void updateLong(java.lang.String columnName,
                  long x)
                    throws java.sql.SQLException

JDBC 2.0 Update a column with a long value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateFloat

    public void updateFloat(java.lang.String columnName,
                   float x)
                     throws java.sql.SQLException

JDBC 2.0 Update a column with a float value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateDouble

    public void updateDouble(java.lang.String columnName,
                    double x)
                      throws java.sql.SQLException

JDBC 2.0 Update a column with a double value. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                        java.math.BigDecimal x)
                          throws java.sql.SQLException

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(java.lang.String columnName,
                    java.lang.String x)
                      throws java.sql.SQLException

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(java.lang.String columnName,
                   byte[] x)
                     throws java.sql.SQLException

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(java.lang.String columnName,
                  java.sql.Date x)
                    throws java.sql.SQLException

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(java.lang.String columnName,
                  java.sql.Time x)
                    throws java.sql.SQLException

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                       java.sql.Timestamp x)
                         throws java.sql.SQLException

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                         java.io.InputStream x,
                         int length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                          java.io.InputStream x,
                          int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                             java.io.Reader reader,
                             int length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String columnName,
                    java.lang.Object x,
                    int scale)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String columnName,
                    java.lang.Object x)
                      throws java.sql.SQLException

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

Specified by:
  `getStatement` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

JDBC 2.0 Get a REF(<structured-type>) column.

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing data of an SQL REF type
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `ResultSet2`
Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int columnIndex)
                          throws java.sql.SQLException

JDBC 2.0 Get a CLOB column.

Specified by:
  `getClob` in interface `ResultSet2`
Specified by:
  `getClob` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing a CLOB
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(int colIdx)
                            throws java.sql.SQLException

JDBC 2.0 Get an array column.

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Parameters:
  `i` - the first column is 1, the second is 2, ...
Returns:
  an object representing an SQL array
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

JDBC 2.0 Get a REF(<structured-type>) column.

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
Returns:
  an object representing data of an SQL REF type
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

JDBC 2.0 Get a BLOB column.

Specified by:
  `getBlob` in interface `ResultSet2`
Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Parameters:
  `colName` - the column name
Returns:
  an object representing a BLOB
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `ResultSet2`
Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int columnIndex,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

JDBC 2.0 Get the value of a column in the current row as a java.sql.Date object. Use the calendar and defaultCalendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the calendar to use in constructing the date NOTE : The default Calendar is also considered to construct the date
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Date object. Use the calendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
  `cal` - the calendar to use in constructing the date
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTime

    public java.sql.Time getTime(int columnIndex,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Time object. Use the calendar to construct an appropriate millisecond value for the Time, if the underlying database doesn't store timezone information.

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
  `cal` - the calendar to use in constructing the time
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Time object. Use the calendar to construct an appropriate millisecond value for the Time, if the underlying database doesn't store timezone information.

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
  `cal` - the calendar to use in constructing the time
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                  java.util.Calendar cal)
                                    throws java.sql.SQLException

Get the value of a column in the current row as a java.sql.Timestamp object. Use the calendar to construct an appropriate millisecond value for the Timestamp, if the underlying database doesn't store timezone information.

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - is the SQL name of the column
  `cal` - the calendar to use in constructing the timestamp
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

Description copied from class: `IfxUpdateResultSet`
JDBC 2.0 Insert the contents of the insert row into the result set and the database. Must be on the insert row when this method is called. All insertions are done at the end of the last row according to the database specifications for Informix.

Specified by:
  `insertRow` in interface `java.sql.ResultSet`
Overrides:
  `insertRow` in class `IfxUpdateResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, if called when not on the insert row, or if all non-nullable columns in the insert row have not been given a value

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Description copied from class: `IfxUpdateResultSet`
JDBC 2.0 Update the underlying database with the new contents of the current row. Cannot be called when on the insert row. Note that this method assumes that the row index or serial index or primary key index has already been determined. See IfxResultSet.updateRow(). Also we assume that the table name has already been determined as well.

Specified by:
  `updateRow` in interface `java.sql.ResultSet`
Overrides:
  `updateRow` in class `IfxUpdateResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or if called when on the insert row

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Description copied from class: `IfxUpdateResultSet`
JDBC 2.0 Delete the current row from the result set and the underlying database. Cannot be called when on the insert row.

Specified by:
  `deleteRow` in interface `java.sql.ResultSet`
Overrides:
  `deleteRow` in class `IfxUpdateResultSet`
Throws:
  `java.sql.SQLException` - if a database-access error occurs, or if called when on the insert row.

#### getProtocol

    public IfxProtocol getProtocol()

#### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(java.lang.String columnName)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(int columnIndex,
                 java.sql.Ref x)
                   throws java.sql.SQLException

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRef

    public void updateRef(java.lang.String columnName,
                 java.sql.Ref x)
                   throws java.sql.SQLException

JDBC 3.0 Update a column with a reference. *** throws method not supported since server does not support REF The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateRef` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateBlob

    public void updateBlob(java.lang.String columnName,
                  java.sql.Blob x)
                    throws java.sql.SQLException

JDBC 3.0 Update a column with a Blob. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateClob

    public void updateClob(java.lang.String columnName,
                  java.sql.Clob x)
                    throws java.sql.SQLException

JDBC 3.0 Update a column with a Clob. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### updateArray

    public void updateArray(java.lang.String columnName,
                   java.sql.Array x)
                     throws java.sql.SQLException

JDBC 3.0 Update a column with an Array. The updateXXX() methods are used to update column values in the current row, or the insert row. The updateXXX() methods do not update the underlying database, instead the updateRow() or insertRow() methods are called to update the database.

Specified by:
  `updateArray` in interface `java.sql.ResultSet`
Parameters:
  `columnName` - the name of the column
  `x` - the new column value
Throws:
  `java.sql.SQLException` - if a database-access error occurs

#### releaseBlob

    public void releaseBlob()

#### getUnloadString

    public java.lang.String getUnloadString(int columnIndex)
                                     throws java.sql.SQLException

Description copied from interface: `IfmxResultSet`
Gets the value of a column in the current row in format compatible with SQL LOAD/UNLOAD format

Specified by:
  `getUnloadString` in interface `IfmxResultSet`
Returns:
  The column value; if the value is SQL NULL, the result is null.
Throws:
  `java.sql.SQLException`

#### getNumberOfFetches

    public int getNumberOfFetches()

#### setTupleSizeReceived

    protected void setTupleSizeReceived(int sizeReceived)

#### getHoldability

    public int getHoldability()

Specified by:
  `getHoldability` in interface `java.sql.ResultSet`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNCharacterStream

    public java.io.Reader getNCharacterStream(java.lang.String columnLabel)
                                       throws java.sql.SQLException

Specified by:
  `getNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(int columnIndex)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNClob

    public java.sql.NClob getNClob(java.lang.String columnLabel)
                            throws java.sql.SQLException

Specified by:
  `getNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(int columnIndex)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getNString

    public java.lang.String getNString(java.lang.String columnLabel)
                                throws java.sql.SQLException

Specified by:
  `getNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(int columnIndex)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRowId

    public java.sql.RowId getRowId(java.lang.String columnLabel)
                            throws java.sql.SQLException

Specified by:
  `getRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(int columnIndex)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getSQLXML

    public java.sql.SQLXML getSQLXML(java.lang.String columnLabel)
                              throws java.sql.SQLException

Specified by:
  `getSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                         java.io.InputStream x)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                         java.io.InputStream x)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                         java.io.InputStream x,
                         int length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnLabel,
                         java.io.InputStream x,
                         long length)
                           throws java.sql.SQLException

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                          java.io.InputStream x)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                          java.io.InputStream x)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                          java.io.InputStream x,
                          int length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnLabel,
                          java.io.InputStream x,
                          long length)
                            throws java.sql.SQLException

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                  java.io.InputStream inputStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                  java.io.InputStream inputStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                  java.io.InputStream inputStream,
                  long length)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String columnLabel,
                  java.io.InputStream inputStream,
                  long length)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                             java.io.Reader x)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                             java.io.Reader reader)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                             java.io.Reader x,
                             int length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnLabel,
                             java.io.Reader reader,
                             long length)
                               throws java.sql.SQLException

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                  java.io.Reader reader)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String columnLabel,
                  java.io.Reader reader)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                  java.io.Reader reader,
                  long length)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(java.lang.String columnLabel,
                  java.io.Reader reader,
                  long length)
                    throws java.sql.SQLException

Specified by:
  `updateClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                              java.io.Reader x)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String columnLabel,
                              java.io.Reader reader)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                              java.io.Reader x,
                              long length)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNCharacterStream

    public void updateNCharacterStream(java.lang.String columnLabel,
                              java.io.Reader reader,
                              long length)
                                throws java.sql.SQLException

Specified by:
  `updateNCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   java.sql.NClob nClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                   java.sql.NClob nClob)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   java.io.Reader reader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                   java.io.Reader reader)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(int columnIndex,
                   java.io.Reader reader,
                   long length)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNClob

    public void updateNClob(java.lang.String columnLabel,
                   java.io.Reader reader,
                   long length)
                     throws java.sql.SQLException

Specified by:
  `updateNClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString(int columnIndex,
                     java.lang.String nString)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString(java.lang.String columnLabel,
                     java.lang.String nString)
                       throws java.sql.SQLException

Specified by:
  `updateNString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(int columnIndex,
                   java.sql.RowId x)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRowId

    public void updateRowId(java.lang.String columnLabel,
                   java.sql.RowId x)
                     throws java.sql.SQLException

Specified by:
  `updateRowId` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(int columnIndex,
                    java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateSQLXML

    public void updateSQLXML(java.lang.String columnLabel,
                    java.sql.SQLXML xmlObject)
                      throws java.sql.SQLException

Specified by:
  `updateSQLXML` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### getIfxBSONObject

    public IfxBSONObject getIfxBSONObject(int columnIndex)
                                   throws java.sql.SQLException

Get the value of a column in the current row as a IfxBSONObject object.

Specified by:
  `getIfxBSONObject` in interface `IfmxResultSet`
Parameters:
  `columnIndex` - the first column is 1, the second is 2, ...
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getIfxBSONObject

    public IfxBSONObject getIfxBSONObject(java.lang.String columnName)
                                   throws java.sql.SQLException

Get the value of a column in the current row as a IfxBSONObject object.

Specified by:
  `getIfxBSONObject` in interface `IfmxResultSet`
Parameters:
  `columnName` -
Returns:
  the column value; if the value is SQL NULL, the result is null
Throws:
  `java.sql.SQLException` - if a database-access error occurs.

#### getObject

    public <T> T getObject(int columnIndex,
                  java.lang.Class<T> type)
                throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject(java.lang.String columnLabel,
                  java.lang.Class<T> type)
                throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`